Subject: Re: [v3 00/24] mm: thp: lazy PTE page table allocation at PMD split time

From: Usama Arif <[email-masked]>
Date: Fri, 27 Mar 2026 10:40:10 -0400

On 27/03/2026 12:25, Lorenzo Stoakes (Oracle) wrote:
> On Fri, Mar 27, 2026 at 09:51:31AM +0100, David Hildenbrand (Arm) wrote:
>>>
>>> RFC v2 -> v3: https://lore.kernel.org/all/[email-masked]/
>>
>> Note that we usually go from RFC to v1.
>>
>> I'll put this series on my review backlog, but it will take some time
>> until I get to it (it won't make the next release either way :) ).
> 
> Yeah, please update to v1 from RFC because I'm looking at this and wondering
> where v1, v2 was and why I didn't see them...

Ah yeah I included the previous version link in the coverletter [1].
> 
> Generally I'd also advise un-RFC'ing a biiiig series IDEALLY be done early in a
> merge window :)
> 
> We've pretty much shut the door to new series this cycle, but being so late in
> the window at -rc5 would mean no way for this one anyway.

ack

> 
> But in general it's going to be a rebase pain this, 

Yeah rebasing from previous version [1] wasnt fun. But yes happy to rebase when
needed!

> and I'd rather not see it
> land in mm-unstable at this point, because that's supposed to be 'what's in the
> next release' and it's stuff like this that leads to 'I am not sure what
> mm-unstable represents any more' being a thing.
> 
> I think in an ideal world we'd ONLY see this in mm-new.

ack, I will try and send the next revision on top of mm-new. I do believe
this will apply cleanly on mm-new at the moment as well but ofcourse that can change.

> 
> I wonder if we need some process for un-RFC'ing really, where somebody kinda
> asks rather than it being a vibes thing as it is now (or a 'people don't reply
> to my RFC' which yes I'm guilty of :)
> 
> Anyway this is more general points and not about you Usama, because - hey - all
> this stuff is pretty unclear generally.
> 

No worries and Thanks for reviewing!!

>> --
>> Cheers,
>> David
> Cheers, Lorenzo

[1] https://lore.kernel.org/all/[email-masked]/